const QCOOKIE = "qstring";
const LCOOKIE = "user";
var interfejsDetails = false;

function ustaw_pasek_pion(){
	var winH = getHeight();
	document.getElementById("strip").style.height = winH + "px";
}

function pokaz_ukryj_pobierz_wiecej(ilosc){
	const MAX = 10;
	var but = document.getElementById("pobierz_wszystkie");
	
	if(ilosc <= MAX){
		but.style.display = "none";
	}else{
		but.style.display = "";
	}
}

function pokaz_szczegoly_albumu(){
	if(!interfejsDetails){
		document.getElementById("right_side").innerHTML = pobierz_interfejs("details");
		interfejsDetails = true;
	}
	
	var album = pobierz_z_pobranych(this.id);
	if(album == null){
		pobierz_szczegoly_albumu(this.id);
	}else{
		drukuj_szczegoly_albumu(album);
	}
}

function aktualizuj_pole_albumu(pole){
	var id = document.getElementById("album_id").value;
	var typ_pola = pole.id;
	var wartosc = pole.value;
	var str = typ_pola+"="+wartosc;
	aktualizuj_album(id, str);
}

function aktualizuj_pole_utworu(pole){
	var id = pole.parentNode.id;
	var typ_pola = pole.className;
	var wartosc = pole.value;
	var str = typ_pola+"="+wartosc;
	aktualizuj_utwor(id, str);
}

window.onload = function(){
	ustaw_pasek_pion();
	
	var qstring = pobierzCiastko(QCOOKIE);
	var lstring = pobierzCiastko(LCOOKIE);
	
	var content = document.getElementById("content");
	var lbut = document.getElementById("strip").firstChild;
	
	if(qstring != null && lstring != null){
		//user zalogowany
		content.innerHTML = pobierz_interfejs("menu");
		
		var rs = document.getElementById("right_side");
		rs.appendChild(document.createTextNode("WITAJ!"));
		var hello = document.createElement("p");
		hello.appendChild(document.createTextNode("ZOSTAŁEŚ ZALOGOWANY JAKO "+lstring.toUpperCase()+"!"));
		rs.appendChild(hello);
		
		lbut.value = "WYLOGUJ";
		lbut.onclick = function(){
			usunCiastko(QCOOKIE);
			usunCiastko(LCOOKIE);
			alert("wylogowano!");
			window.location.reload();
		}
		
		var pob = document.getElementById("pobierz_wszystkie");
		pob.onclick = function(){
			pobierz_liste_albumow('all');
		}
		
		document.getElementById("search_field").onkeyup = function(){
			if(this.value.length == 0){
				pobierz_liste_albumow();
			}else{
				wyszukaj_albumy(this.value);
			}
		}
		
		
		pobierz_liste_albumow();
		pobierz_ilosc_albumow_w_bazie();
		
	}else{
		//potrzebne logowanie
		content.innerHTML = pobierz_interfejs("login");
		
		lbut.value = "BRAK HASŁA ?";
		lbut.onclick = function(){
			alert("Brak zasobu!");
		}
		
		document.getElementById("zaloguj").onclick = function(){
			var login = document.getElementById("login").value;
			var pass = document.getElementById("pass").value;
			
			if(!(login || pass)){
				alert("Uzupelnij login lub haslo!");
				return;
			}
			
			var str = zaloguj(login, pass);
			if(str == null){
				alert("Bledne haslo lub login!");
				return;
			}
			
			str = str.split(";");
			stworzCiastko(LCOOKIE, str[0], "");
			stworzCiastko(QCOOKIE, str[1], "");
			window.location.reload();
		}
	}
}

window.onresize = function(){
	ustaw_pasek_pion();
}